/*
 * $Id:$
 */

package $block{jfcpackagename}.controller.jfcworkstate;

import java.io.IOException;
import javax.servlet.ServletException;

import jp.jasminesoft.jfc.ActionParameter;
import $block{jfcpackagename}.app.WorkFlowManager;
import $block{jfcpackagename}.model.jfcworkstate.Jfcworkstate;
import $block{jfcpackagename}.model.jfcworkstate_p.JfcworkstateP;
import $block{jfcpackagename}.model.jfcworkstate_p.Modelname;

/**
 * MyInsertJfcworkstateController
 *
 * @version $Revision:$ $Date:$
 * @author JasmineSoft
 */

public class MyInsertJfcworkstateController extends InsertJfcworkstateController
{
    @Override
    public String do_insert(ActionParameter p) 
        throws IOException, ServletException
    {
        Jfcworkstate jfcworkstate = WorkFlowManager.getInstance(p).do_insert(p, targetitems, getJFCErrorManager());
        String returnModelname = null;
        JfcworkstateP jfcworkstate_p = (JfcworkstateP) p.request.getAttribute("jfcworkstate_p");
        Modelname[] modelnames = jfcworkstate_p.getModelname();
        if (modelnames != null && modelnames.length > 0) {
            if (modelnames.length == 1) {
                returnModelname = modelnames[0].getId();
            } else {
                for (Modelname modelname : modelnames) {
                    if (modelname.getChoose()) {
                        returnModelname = modelname.getId();
                        break;
                    }
                }
            }
        }
        if (returnModelname == null) {
            returnModelname = jfcworkstate.getModelname();
        }
        return (getForwardHeader() + "." + returnModelname);
    }
}
